import type { NobjcObject } from "objc-js";
import type { _NSDictionary } from "./NSDictionary.js";
import type { _NSError } from "./NSError.js";
import type { _NSSecureCoding } from "./NSSecureCoding.js";
import type { _NSUserScriptTask } from "./NSUserScriptTask.js";
export declare class _NSUserAutomatorTask extends _NSUserScriptTask {
    static alloc(): _NSUserAutomatorTask;
    static new(): _NSUserAutomatorTask;
    init(): _NSUserAutomatorTask;
    executeWithInput$completionHandler$(input: _NSSecureCoding | null, handler: ((arg0: NobjcObject, arg1: _NSError) => void) | null): void;
    /** Workflow variables. */
    variables(): _NSDictionary | null;
    setVariables$(value: _NSDictionary | null): void;
}
